> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add or refresh a Contact List membership

> Creates the List implicitly when its first Contact is added. Re-adding a Contact refreshes one normalized membership timestamp.



## OpenAPI

````yaml post /api/v2/contact/list/{listName}
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/contact/list/{listName}:
    post:
      tags:
        - Contacts
      summary: Add or refresh a Contact List membership
      description: >-
        Creates the List implicitly when its first Contact is added. Re-adding a
        Contact refreshes one normalized membership timestamp.
      parameters:
        - name: listName
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - id
              properties:
                id:
                  type: string
                  description: Contact id.
                score:
                  type: integer
                  description: Optional membership timestamp.
      responses:
        default:
          description: ''
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````